summaryrefslogtreecommitdiffstats
path: root/source/d/dev86
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2016-06-30 20:26:57 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:31:18 +0200
commitd31c50870d0bee042ce660e445c9294a59a3a65b (patch)
tree6bfc0de3c95267b401b620c2c67859557dc60f97 /source/d/dev86
parent76fc4757ac91ac7947a01fb7b53dddf9a78a01d1 (diff)
downloadcurrent-d31c50870d0bee042ce660e445c9294a59a3a65b.tar.gz
current-d31c50870d0bee042ce660e445c9294a59a3a65b.tar.xz
Slackware 14.2slackware-14.2
Thu Jun 30 20:26:57 UTC 2016 Slackware 14.2 x86_64 stable is released! The long development cycle (the Linux community has lately been living in "interesting times", as they say) is finally behind us, and we're proud to announce the release of Slackware 14.2. The new release brings many updates and modern tools, has switched from udev to eudev (no systemd), and adds well over a hundred new packages to the system. Thanks to the team, the upstream developers, the dedicated Slackware community, and everyone else who pitched in to help make this release a reality. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. Have fun! :-)
Diffstat (limited to 'source/d/dev86')
-rw-r--r--source/d/dev86/README8
-rw-r--r--source/d/dev86/dev86-x86_64.noelks.patch19
-rw-r--r--source/d/dev86/dev86-x86_64.patch20
-rwxr-xr-xsource/d/dev86/dev86.SlackBuild43
-rw-r--r--source/d/dev86/dev86.info8
-rw-r--r--source/d/dev86/slack-desc2
6 files changed, 19 insertions, 81 deletions
diff --git a/source/d/dev86/README b/source/d/dev86/README
deleted file mode 100644
index 407e6d07b..000000000
--- a/source/d/dev86/README
+++ /dev/null
@@ -1,8 +0,0 @@
-This is a complete 8086 assembler and loader which can make 32-bit
-code for the 386+ processors. In the past it was used to compile the
-16-bit bootsector and setup binaries for the kernel, but modern
-(2.4.x or newer) kernels use GNU ld instead.
-
-There's a package bin86 already included in Slackware, which is a
-subset of the programs of dev86. Therefore the bin86 programs are
-not included in this package. \ No newline at end of file
diff --git a/source/d/dev86/dev86-x86_64.noelks.patch b/source/d/dev86/dev86-x86_64.noelks.patch
deleted file mode 100644
index f30ae35a1..000000000
--- a/source/d/dev86/dev86-x86_64.noelks.patch
+++ /dev/null
@@ -1,19 +0,0 @@
-* Wed Jan 25 2006 Jeremy Katz <katzj@redhat.com> - 0.16.17-2
-- build on x86_64
-- don't build elks (it's not happy on x86_64)
-
---- dev86-0.16.17/makefile.in.noelks 2006-01-25 17:03:02.000000000 -0500
-+++ dev86-0.16.17/makefile.in 2006-01-25 17:03:19.000000000 -0500
-@@ -89,10 +89,10 @@
-
- #ifdef GNUMAKE
- all: check_config bcc86 cpp unproto copt as86 ar86 ld86 objdump86 \
-- library lib-bsd alt-libs elksemu
-+ library lib-bsd alt-libs
-
- install: check_config install-bcc install-man \
-- install-lib install-emu
-+ install-lib
-
- install-all: install install-other
-
diff --git a/source/d/dev86/dev86-x86_64.patch b/source/d/dev86/dev86-x86_64.patch
deleted file mode 100644
index 01fa549b9..000000000
--- a/source/d/dev86/dev86-x86_64.patch
+++ /dev/null
@@ -1,20 +0,0 @@
---- dev86-0.16.17/bcc/bcc.c.fix 2005-01-03 23:41:55.000000000 +0100
-+++ dev86-0.16.17/bcc/bcc.c 2006-12-27 16:32:57.000000000 +0100
-@@ -226,12 +226,12 @@
-
- } else {
- /* Relative paths to normal PREFIX directory */
-- default_include = build_libpath("-I", "/lib/bcc/include", "");
-- default_libdir = build_libpath("-L", "/lib/bcc", libdir_suffix);
-- optim_rules = build_libpath("-d", "/lib/bcc", libdir_suffix);
-+ default_include = build_libpath("-I", "/lib64/bcc/include", "");
-+ default_libdir = build_libpath("-L", "/lib64/bcc", libdir_suffix);
-+ optim_rules = build_libpath("-d", "/lib64/bcc", libdir_suffix);
-
-- build_prefix("/lib/bcc", libdir_suffix, "");
-- build_prefix("/lib/bcc", "", "");
-+ build_prefix("/lib64/bcc", libdir_suffix, "");
-+ build_prefix("/lib64/bcc", "", "");
- }
-
- build_prefix("/bin", "", "");
diff --git a/source/d/dev86/dev86.SlackBuild b/source/d/dev86/dev86.SlackBuild
index 5c4e1555f..583e821c0 100755
--- a/source/d/dev86/dev86.SlackBuild
+++ b/source/d/dev86/dev86.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2007-2008 Heinz Wiesinger <hmwiesinger@gmx.at>
+# Copyright 2007, 2008, 2015 Heinz Wiesinger, Amsterdam, The Netherlands
# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
@@ -23,13 +23,13 @@
PRGNAM=dev86
SRCNAM=Dev86src
-VERSION=0.16.17
-BUILD=${BUILD:-2}
+VERSION=0.16.21
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
@@ -41,8 +41,8 @@ TMP=${TMP:-/tmp}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -55,35 +55,29 @@ else
LIBDIRSUFFIX=""
fi
-set -e
-
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvzf $CWD/$SRCNAM-$VERSION.tar.gz
-cd $PRGNAM-$VERSION
-if [ "$ARCH" = "x86_64" ]; then
- zcat $CWD/dev86-x86_64.patch.gz \
- | patch -p1 --verbose --backup --suffix=.orig -E
- # On x86_64 elks will not build:
- zcat $CWD/dev86-x86_64.noelks.patch.gz \
- | patch -p1 --verbose --backup --suffix=.orig -E
-fi
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z* || exit 1
+cd $PRGNAM-$VERSION || exit 1
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
#Does not compile with changed CFLAGS
#CC="gcc" make CFLAGS="-Wall -Wstrict-prototypes $SLKCFLAGS -g" DIST=$PKG
CC="gcc" \
-make DIST=$PKG MANDIR=/usr/man LIBDIR=/usr/lib${LIBDIRSUFFIX}/bcc \
+make \
+ DIST=$PKG MANDIR=/usr/man LIBDIR=/usr/lib${LIBDIRSUFFIX}/bcc \
INCLDIR=/usr/lib${LIBDIRSUFFIX}/bcc LOCALPREFIX=/usr \
- install install-man
+ install install-man || exit 1
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
@@ -95,7 +89,6 @@ cp -a Changes Contributors COPYING README $PKG/usr/doc/$PRGNAM-$VERSION
for i in bootblocks copt dis88 elksemu unproto ; do
cp -a $i/README $PKG/usr/doc/$PRGNAM-$VERSION/README.$i ;
done
-cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
find $PKG/usr/doc -type f -exec chmod 0644 {} \;
if [ "$ARCH" = "x86_64" ]; then # Remove traces of elks
diff --git a/source/d/dev86/dev86.info b/source/d/dev86/dev86.info
deleted file mode 100644
index ef223b1de..000000000
--- a/source/d/dev86/dev86.info
+++ /dev/null
@@ -1,8 +0,0 @@
-PRGNAM="dev86"
-VERSION="0.16.15"
-HOMEPAGE="http://homepage.ntlworld.com/robert.debath/"
-DOWNLOAD="http://distrib-coffee.ipsl.jussieu.fr/pub/linux/momonga/1/PKGS/SOURCES/Dev86src-0.16.15.tar.gz"
-MD5SUM="c3266fa6530b472e1d3e98d826db6409"
-MAINTAINER="Heinz Wiesinger"
-EMAIL="HMWiesinger@gmx.at"
-APPROVED="rworkman"
diff --git a/source/d/dev86/slack-desc b/source/d/dev86/slack-desc
index 557638a6b..50c46cef2 100644
--- a/source/d/dev86/slack-desc
+++ b/source/d/dev86/slack-desc
@@ -6,7 +6,7 @@ dev86: code for the 386+ processors. In the past it was used to compile the
dev86: 16-bit bootsector and setup binaries for the kernel, but modern
dev86: (2.4.x or newer) kernels use GNU ld instead.
dev86:
-dev86: Homepage: http://homepage.ntlworld.com/robert.debath/
+dev86: Homepage: http://v3.sk/~lkundrak/dev86/
dev86:
dev86:
dev86: